Subject: Re: [PATCH] xfrm: select sane defaults for xfrm[4|6] gc_thresh

From: Neil Horman <[email-masked]>
Date: Thu, 30 Jul 2009 20:11:02 -0400

On Thu, Jul 30, 2009 at 02:25:54PM -0700, David Miller wrote:
> From: David Miller <[email-masked]>
> Date: Thu, 30 Jul 2009 14:23:45 -0700 (PDT)
> 
> > From: Neil Horman <[email-masked]>
> > Date: Tue, 28 Jul 2009 20:34:33 -0400
> > 
> >> Choose saner defaults for xfrm[4|6] gc_thresh values on init
> > 
> > Looks great, applied to net-next-2.6
> 
> Actually I had to revert, how the heck did you build test
> this? :-/
> 
> In file included from include/net/xfrm.h:21,
>                  from net/ipv4/af_inet.c:113:
> include/net/ip6_fib.h:28:1: warning: "FIB_TABLE_HASHSZ" redefined
> In file included from net/ipv4/af_inet.c:102:
> include/net/ip_fib.h:134:1: warning: this is the location of the previous definition
> 

Thats bizzare, I've got it running on a system here at Red Hat if you want to
take a look, it definatley built for me.  Sorry about that, let me figure out
what went south and I'll repost.

Neil